%global __provides_exclude_from ^%{_libdir}/(pantheon-online-accounts)|(switchboard)/.*\\.so$

%global commit      a4241c8d65ee700b82b0ec1e5297dcc238196b33
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate     20170819

# commit a4241c8d65ee700b82b0ec1e5297dcc238196b33 == version 0.3.1
# (there's just no git tag for it)

Name:           switchboard-plug-onlineaccounts
Summary:        Switchboard Online Accounts plug
Version:        0.3.1
Release:        3%{?dist}
License:        GPLv2

URL:            https://github.com/elementary/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  vala >= 0.22.0

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gsignond)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  pkgconfig(libgsignon-glib)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(switchboard-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

Requires:       switchboard%{?_isa}
Supplements:    switchboard%{?_isa}

Requires:       pantheon-online-accounts%{?_isa} = %{version}-%{release}


%description
%{summary}.


%package     -n pantheon-online-accounts
Summary:        Pantheon Online Accounts system (plugins)
Requires:       pantheon-online-accounts-libs%{?_isa} = %{version}-%{release}
Requires:       hicolor-icon-theme

%description -n pantheon-online-accounts
This package contains plugins for POA (Pantheon Online Accounts).


%package     -n pantheon-online-accounts-libs
Summary:        Pantheon Online Accounts system

%description -n pantheon-online-accounts-libs
This package contains the libraries making up POA (Pantheon Online
Accounts).


%package     -n pantheon-online-accounts-devel
Summary:        Pantheon Online Accounts system (development headers)
Requires:       pantheon-online-accounts-libs%{?_isa} = %{version}-%{release}

%description -n pantheon-online-accounts-devel
This package contains the development files for POA (Pantheon Online
Accounts).


%prep
%autosetup -n %{name}-%{commit}


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-online-accounts


%files -f pantheon-online-accounts.lang
%{_libdir}/switchboard/network/pantheon-online-accounts/


%files -n pantheon-online-accounts
%{_libdir}/pantheon-online-accounts/*

%{_datadir}/accounts/providers/*.provider
%{_datadir}/accounts/services/*.service
%{_datadir}/dbus-1/services/com.google.code.AccountsSSO.gSingleSignOnUI.service
%{_datadir}/icons/hicolor/*/apps/*.svg


%files -n pantheon-online-accounts-libs
%license COPYING

%{_libdir}/libpantheon-online-accounts.so.0
%{_libdir}/libpantheon-online-accounts.so.0.1

%dir %{_libdir}/pantheon-online-accounts


%files -n pantheon-online-accounts-devel
%{_includedir}/pantheon-online-accounts/

%{_libdir}/libpantheon-online-accounts.so
%{_libdir}/pkgconfig/pantheon-online-accounts.pc

%{_datadir}/vala/vapi/pantheon-online-accounts.deps
%{_datadir}/vala/vapi/pantheon-online-accounts.vapi


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-2
- Rebuild for granite5 soname bump.

* Thu May 03 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0.1-7.20170417.git5a0270a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-6.20170417.git5a0270a
- Be lazy about undefined symbols in plugins.

* Sat Jan 06 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-5.20170417.git5a0270a
- Remove icon cache scriptlets, replaced by file triggers.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-4.20170417.git5a0270a
- Rebuild for granite soname bump.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0.1-3.20170417.git5a0270a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0.1-2.20170417.git5a0270a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Apr 15 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-1.20170417.git5a0270a
- Initial package.

